use maraiah::{durandal::image::*,
              marathon::*,
              rozinante::{color::*, draw::*}};

pub fn draw_map_none<D, I>(d: &D, im: &I)
   where D: DrawArea<NativeImage = I>,
         I: CacheImage
{
   d.clear(Color16::new(0, 0, 0));

   d.image((d.w() / 2 - im.w() / 2, d.h() / 2 - im.h() / 2), im);

   d.rect(Rect{x: 0, y: 0, w: d.w(), h: 18}, CR_DARK_RED);
   d.text((4, 14), "Map Required To Proceed", CR_RED);

   d.rect(Rect{x: 0, y: d.h() - 18, w: d.w(), h: 18}, CR_DARK_RED);
   d.text((4, d.h() - 4), "CAS.qterm//CyberAcme Systems Inc.", CR_RED);
}

pub fn new_map() -> MapEditorState
{
   let info = Default::default();

   let ed = MapEditorState{info};

   ed
}

impl Drop for MapEditorState
{
   fn drop(&mut self) {eprintln!("dropping MapEditorState");}
}

pub struct MapEditorState
{
   info: map::Minf,
}

// EOF
